All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::convert Namespace Reference

## Classes

class | converter
| A conversion class that implements a conversion from inputs -> outputs. More...
struct | id_type
| Identify a conversion routine in the registry. More...

## Typedefs

typedef boost::function < converter::sptr(void)> | function_type
| Conversion factory function typedef. More...
typedef int | priority_type
| Priority of conversion routines. More...

## Functions

UHD_API bool | operator== (const id_type &, const id_type &)
| Implement equality_comparable interface. More...
UHD_API void | register_converter (const id_type &id, const function_type &fcn, const priority_type prio)
UHD_API function_type | get_converter (const id_type &id)
UHD_API void | register_bytes_per_item (const std::string &format, const size_t size)
UHD_API size_t | get_bytes_per_item (const std::string &format)
| Convert an item format to a size in bytes. More...

## Typedef Documentation

typedef boost::function<converter::sptr(void)> uhd::convert::function_type

Conversion factory function typedef.

typedef int uhd::convert::priority_type

Priority of conversion routines.

## Function Documentation

UHD_API size_t uhd::convert::get_bytes_per_item | ( | const std::string & | format | ) |

Convert an item format to a size in bytes.

UHD_API function_type uhd::convert::get_converter | ( | const id_type & | id | ) |

Get a converter factory function.

Parameters

  id | identify the conversion

Returns
  the converter factory function

UHD_API bool uhd::convert::operator== | ( | const id_type & | ,
|  | const id_type & |
| ) |  |

Implement equality_comparable interface.

UHD_API void uhd::convert::register_bytes_per_item | ( | const std::string & | format,
|  | const size_t | size
| ) |  |

Register the size of a particular item.

Parameters

  format | the item format
  size | the size in bytes

UHD_API void uhd::convert::register_converter | ( | const id_type & | id,
|  | const function_type & | fcn,
|  | const priority_type | prio
| ) |  |

Register a converter function.

Parameters

  id | identify the conversion
  fcn | makes a new converter
  prio | the function priority